Return the full node tree for one browsable catalog.
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Get, RequestUri = new Uri("https://example.com/api/workspace/catalogs/example/tree"), Headers = { { "Authorization", "Bearer <token>" }, },};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://example.com/api/workspace/catalogs/example/tree';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/workspace/catalogs/example/tree \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Query Parameters
Section titled “Query Parameters”Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.
Responses
Section titled “Responses”OK
object
Full runtime node tree for one browsable catalog.
object
One runtime-browsable catalog row.
object
Catalog definition identifier.
Stable catalog key.
Catalog display name.
Optional free-form description.
Whether the caller may create, rename, move, or delete nodes in this catalog.
Flat node list ordered by depth, sort order, and display name.
One runtime catalog node.
object
Node identifier.
Owning catalog definition identifier.
Catalog node type definition identifier for entity-backed hierarchies.
Parent node identifier or null for root nodes.
Stable sibling key generated at create time.
Node display name.
Optional free-form description.
Ordered identifier path from the top-level node through this node.
Display breadcrumb segments resolved from current node metadata.
One display breadcrumb segment for a catalog node.
object
Node identifier.
Current node display name.
Zero-based tree depth.
Sibling sort order.
Number of direct child nodes.
Concurrency token.
Node creation timestamp.
Last modification timestamp.
Admitted placement targets ordered by target sort order.
One Entity Definition admitted as a placement target of a runtime-browsable catalog.
object
Admitted Entity Definition identifier.
Entity Definition singular display name.
Entity Definition plural display name.
object
object
object
object
Example
{ "Data": { "Catalog": { "Kind": 0 } }, "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Forbidden
object
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Not Found
object
Full runtime node tree for one browsable catalog.
object
One runtime-browsable catalog row.
object
Catalog definition identifier.
Stable catalog key.
Catalog display name.
Optional free-form description.
Whether the caller may create, rename, move, or delete nodes in this catalog.
Flat node list ordered by depth, sort order, and display name.
One runtime catalog node.
object
Node identifier.
Owning catalog definition identifier.
Catalog node type definition identifier for entity-backed hierarchies.
Parent node identifier or null for root nodes.
Stable sibling key generated at create time.
Node display name.
Optional free-form description.
Ordered identifier path from the top-level node through this node.
Display breadcrumb segments resolved from current node metadata.
One display breadcrumb segment for a catalog node.
object
Node identifier.
Current node display name.
Zero-based tree depth.
Sibling sort order.
Number of direct child nodes.
Concurrency token.
Node creation timestamp.
Last modification timestamp.
Admitted placement targets ordered by target sort order.
One Entity Definition admitted as a placement target of a runtime-browsable catalog.
object
Admitted Entity Definition identifier.
Entity Definition singular display name.
Entity Definition plural display name.
object
object
object
object
Example
{ "Data": { "Catalog": { "Kind": 0 } }, "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}